**`Lakpa Dindu `[NAME]**-NL- **`Lakpadindu@hotmail.com`[EMAILS_EMAIL]** -NL- **`07429273397`[PHONES_PHONE]** -NL- iOS developer, several apps with nearly a million users on Appstore. I am -NL- 290 Carr Road -NL- constantly striving to learn new technologies and looks way to improve myself in -NL- UB5 4RL -NL- this rapidly changing industry. -NL- I would rather fail quickly then to fear failure of new and difficult. -NL- **`Work Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Senior iOS Developer`[EMPLOYER_ROLE]**, **`Monese`[EMPLOYER_COMPANY_NAME]** -NL- **`Android/iOS Developer`[EMPLOYER_ROLE]**, **`Mammoth Graphics `[EMPLOYER_COMPANY_NAME]**-NL- 06/2019 – Present -NL- 02/2011 – 07/2011 -NL- • Develop new and manage existing iOS/Android apps. -NL- **`Senior Software Engineer (iOS)`[EMPLOYER_ROLE]**, **`American Express`[EMPLOYER_COMPANY_NAME]** -NL- • Manage company's web services hosted on AWS EC2 -NL- 09/2015 – 05/2019 -NL- instance. -NL- • Involved in design and architecture of Direct Debit, Card activation, -NL- • Develop java based software for in-house use. -NL- Local Champion features. -NL- • Performed snapshot and unit testings. -NL- **`Technical Skills`[SKILLS_HEADING]** -NL- • Used combination of Elm and MVVM architecture for modularity, code -NL- reuse and testing as it promotes good health of the app architecture as Languages: Swift (expert); Objective-C (expert); C -NL- you refactor and add features. -NL- (comfortable); Bash (expert); Python (comfortable); SQL; -NL- • Working closely with product and design teams to customize the Amex Development Software: Xcode; Git; SourceTree -NL- experience for iOS platform. -NL- Continuous Integration: Jenkins -NL- • Influencing designs to attain the optimum in user experience. -NL- Databases: Sqlite; MySql -NL- • Identifying exciting opportunities for adopting new technology to solve Technologies: Rest services; XML, JSON -NL- Platforms: Mac OSX existing needs and anticipating future challenges. -NL- Cloud services: Amazon AWS (EC2, S3) • Driving consistent development practices – tools and reusable software -NL- Operating System: iOS; Unix; components. -NL- • Maintaining and enhancing project continuous integration process. -NL- • Performing hands-on architecture to build a layered, and testing, or Education -NL- doing proof of concepts/automation tools. -NL- **`MSc`[EDUCATION_DEGREE]** in Computing with Distinction, 2011 • Developing deep understanding of integrations with other systems and -NL- 02/2010 – 08/2011 platforms within the supported domains. -NL- **`University of West London `[EMPLOYER_COMPANY_NAME]**-NL- • Analysing and optimizing UI application code for efficiency and -NL- performance. -NL- **`Projects`[OTHERS_HEADING]** -NL- • Participating in peer code review process. -NL- • https://itunes.apple.com/au/app/amex- **`Lead iOS Developer`[EMPLOYER_ROLE]**, **`IBM`[EMPLOYER_COMPANY_NAME]** -NL- au/id418350340 12/2014 – 09/2015 -NL- • Involved in analysis, design and development of OP-Pohjola Group iOS -NL- • https://itunes.apple.com/de/app/amex- -NL- de/id560172227 mobile banking apps. -NL- • https://itunes.apple.com/mx/app/amex-to- • Involved in designing of the shared iOS framework (SDK) for REST -NL- go/id444724757 services. -NL- • Developing new and maintaining existing communication API for -NL- **`• https://itunes.apple.com/in/app/amex- in/id984568659`[PROJECT_TITLE]** -NL- Bluetooth enabled mPOS terminal. -NL- • https://itunes.apple.com/gb/app/clydesdale-bank- -NL- • Participating in peer code review process based on company's coding -NL- mobile-banking/id670241797 -NL- guidelines and established best practices. -NL- • https://itunes.apple.com/gb/app/yorkshire-bank- -NL- • Releasing periodical build for sanity, regression and new feature -NL- mobile-banking/id670280882 -NL- testings. -NL- • https://itunes.apple.com/gb/app/the-co-operative- -NL- • Maintaining project's continuous integration process. -NL- bank/id524673632 -NL- • Liaising with Technical Architect, Project Manager and Technology -NL- • https://itunes.apple.com/gb/app/smile-the- -NL- bank/id524687971 Programme Manager for new feature requirements. -NL- **`• Official HSBC Sevens IRB app. Not available in the -NL- App store. `[PROJECT_TITLE]**-NL- **`Lead iOS Developer`[EMPLOYER_ROLE]**,**` Monitise PLC`[EMPLOYER_COMPANY_NAME]** -NL- • iTV tour de France iOS app 2011. Not available in the -NL- 01/2013 – 11/2014 -NL- App store. -NL- • Involved in design and development of Clydesdale / Yorkshire iOS -NL- mobile banking apps. -NL- • Participating in peer code review process based on company's coding -NL- guidelines and established best practices. -NL- • Releasing periodical build for sanity, regression and new feature -NL- testings. -NL- • Maintaining project's Continuous Integration process. -NL- • Liaising with Solution Architects for new feature requirements. -NL- • Participating in daily scrum to discuss project's ongoing status. -NL- **`Software Engineer (iOS)`[EMPLOYER_ROLE]**, **`University of West London `[EMPLOYER_COMPANY_NAME]**-NL- 08/2011 – 12/2012 -NL- • Coordinate with the project manager for the development of iOS apps. -NL- • Develop new and maintain existing mobile applications. -NL- • Research and identify appropriate software technologies that can be used -NL- to develop an generic engine for media centric applications. -NL- • Through self-training and personal research familiarize ourselves with -NL- software technologies such as java, objective C, mobile application -NL- development and specific language. -NL- • Document software artifacts to a quality plan guidelines to be specified. -NL- • Contribute to project dissemination activities and other project activities -NL- as directed by the project director or their designated representative. -NL- 